<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_PrestamoBean = new PrestamoBean();
  
$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales
if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.view"){
	$o_MercadoBL = new MercadoBL();
	$a_o_Mercado = $o_MercadoBL->busquedaMercado(new MercadoBean());
	
	if($cboSucursal){
		$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
		$o_SucursalMercadoBean_Temp->setIdSucursal($cboSucursal); 
		
		$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
		$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
		
		if(is_array($a_o_SucursalMercadoResult)){
			foreach ($a_o_SucursalMercadoResult as $key5 => $o_SucursalMercadoResult){
				$a_Mercado[] = $o_SucursalMercadoResult->getIdMercado();
			}
		}else{
			$a_Mercado[] = "0"; 
		}
	}
}

if(myUser::getUser()->getRoleId() == "sys.res"){
	
 	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	
 	
 	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key1 => $o_sucursal){
	  		$idSucursal = $o_sucursal->getIdSucursal();
	  	}
	}else{
  		$idSucursal = "0"; 
  	}
  	
	
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
  	
  	if(is_array($a_o_SucursalMercadoResult)){
		foreach ($a_o_SucursalMercadoResult as $key5 => $o_SucursalMercadoResult){
	  		$a_Mercado[] = $o_SucursalMercadoResult->getIdMercado();
	  	}
	}else{
  		$a_Mercado[] = "0"; 
  	}
		
}
if(myUser::getUser()->getRoleId() == "sys.sec"){
	
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador($o_ColaboradorBeanResult[0]->getIdPadre());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
  	
  	foreach ($a_o_SucursalMercadoResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
  	}
	
}

if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_MercadoRepresentanteBean_Temp = new MercadoRepresentanteBean();
  	$o_MercadoRepresentanteBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_MercadoRepresentanteBL_Temp = new MercadoRepresentanteBL();
  	$a_o_MercadoRepresentanteBeanResult = $o_MercadoRepresentanteBL_Temp->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean_Temp);
  	foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
  	}
  	if(!is_array($a_Mercado)){
  		$a_Mercado[] = "0"; 
  	}
}

//print_r($a_Mercado);
if($cboMercado) $o_PrestamoBean->setIdMercado($cboMercado);
elseif(is_array($a_Mercado)) $o_PrestamoBean->setIdMercados($a_Mercado);

	
if($txtFecha   !=""){ $o_PrestamoBean->setFechaInicioH($txtFecha); } 
if($txtFechaFinal   !=""){ $o_PrestamoBean->setFechaFinalH($txtFechaFinal); } 



 $o_PrestamoBean->page = $page;
 $o_PrestamoBean->tamPag = $tamanioPag;
 $o_PrestamoBean->sortCampos = $sortCampos;
 $o_PrestamoBean->sortType   = $sortType;

$o_objectPrestamoDP = new PrestamoDP($o_PrestamoBean);
$a_ObjectBean = $o_objectPrestamoDP->selectClientesNuevos();



$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_objectPrestamoDP->selectNumRowsClientesNuevos());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro</th>
               <th width="10%" align="left">Sucursal</th>
               <th width="10%"  align="left">Mercado</th>
               
                <th width="5%" >Nro Cli</th>
			    <th width="18%" align="left">Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="18%" align="left">Fecha Inicio</th>
			    <th width="20%" >Cobrador</th>
			    <th width="8%" align="left">Prestamo</th>

               
              
                
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
			   <td align="left"><?php 
			   echo $o_objBean->getNombreSucursal();
			   ?></td> 
			   <td align="left"><?php 
			   echo $o_objBean->getNombreMercado();
			   ?></td> 
			
			   <td align="center"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_objBean->getIdCliente().'&s_tipo=' )?>',{width:700,height:400})"><?php echo $o_objBean->getIdCliente()?></a></td>
			    <td><?=ucwords(strtolower($o_objBean->getNombreCompleto()))?></td>
			   <td align="left"><?php 
			   echo $o_objBean->getFechaInicioH();
			   ?></td>
             
               
               
                <td><?=$o_objBean->getColaboradorOrigen()?></td>
                
				<td><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/pre/estado_cuenta/id/'.$o_objBean->getIdPrestamo());?>',{width:800,height:600})"><?php echo $o_objBean->getIdPrestamo()?></a></td>
                
                
				
                
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>